Loading...
Searching...
No Matches
Magick::gammaImage Class Reference

## Public Member Functions

| gammaImage (const double gamma_)
| gammaImage (const double gammaRed_, const double gammaGreen_, const double gammaBlue_)
void | operator() (Image &image_) const

## Private Attributes

double | _gammaRed
double | _gammaGreen
double | _gammaBlue

## Detailed Description

Definition at line 572 of file STL.h.

## Constructor & Destructor Documentation

## gammaImage() [1/2]

Magick::gammaImage::gammaImage | ( | const double | gamma_ | ) |

Definition at line 554 of file STL.cpp.

: _gammaRed( gamma_ ),
_gammaGreen( gamma_ ),
_gammaBlue( gamma_ )
{
}

## gammaImage() [2/2]

Magick::gammaImage::gammaImage | ( | const double | gammaRed_,
|  | const double | gammaGreen_,
|  | const double | gammaBlue_ )

Definition at line 560 of file STL.cpp.

: _gammaRed( gammaRed_ ),
_gammaGreen( gammaGreen_ ),
_gammaBlue( gammaBlue_ )
{
}

## Member Function Documentation

## operator()()

void Magick::gammaImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 568 of file STL.cpp.

{
image_.gamma( _gammaRed, _gammaGreen, _gammaBlue );
}

## Field Documentation

## _gammaBlue

double Magick::gammaImage::_gammaBlue

private

Definition at line 586 of file STL.h.

## _gammaGreen

double Magick::gammaImage::_gammaGreen

private

Definition at line 585 of file STL.h.

## _gammaRed

double Magick::gammaImage::_gammaRed

private

Definition at line 584 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp